<template>
  <rui-help-button>
    <rui-help-button-content caption="Button meanings and actions"
                             content="The following icons are often seen on the interface:"
                             :lines="helpLines" />
  </rui-help-button>
</template>

<script>
export default {
  data () {
    return {
      helpLines: [
        { icon: 'doc:home', text: 'Brings you home' },
        { icon: 'doc:trash', text: 'Destroys the item', variant: 'danger' },
        { icon: 'doc:pencil', text: 'Display edition form' },
      ],
    }
  },
}
</script>
